Package org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers

## Class CoordinatorController

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers.CoordinatorController

- All Implemented Interfaces:
    `IController`

      public class CoordinatorController
      extends Object
      implements IController

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoordinatorController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.netty.handler.codec.http.FullHttpResponse` | `create​(Request request)` |
    `io.netty.handler.codec.http.FullHttpResponse` | `delete​(Request request, Long objectId)` |
    `io.netty.handler.codec.http.FullHttpResponse` | `get​(Request request, Long objectId)` |
    `io.netty.handler.codec.http.FullHttpResponse` | `getAll​(Request request)` |
    `io.netty.handler.codec.http.FullHttpResponse` | `update​(Request request, Long objectId)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoordinatorController

          public CoordinatorController()

  - ### Method Detail

    - #### create

          public io.netty.handler.codec.http.FullHttpResponse create​(Request request)

      Specified by:
        `create` in interface `IController`

    - #### update

          public io.netty.handler.codec.http.FullHttpResponse update​(Request request,
                                                                     Long objectId)

      Specified by:
        `update` in interface `IController`

    - #### delete

          public io.netty.handler.codec.http.FullHttpResponse delete​(Request request,
                                                                     Long objectId)

      Specified by:
        `delete` in interface `IController`

    - #### get

          public io.netty.handler.codec.http.FullHttpResponse get​(Request request,
                                                                  Long objectId)

      Specified by:
        `get` in interface `IController`

    - #### getAll

          public io.netty.handler.codec.http.FullHttpResponse getAll​(Request request)

      Specified by:
        `getAll` in interface `IController`